> For the complete documentation index, see [llms.txt](https://docs.dikesoft.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.dikesoft.com/reference/dkgrid-api/dkgridselection.md).

# DkGridSelection

## Generics

<mark style="color:green;">`<T>`</mark> represents the object's shape coming from the data source.

## Properties

| Property         | Description                                                                                                                                                             |
| ---------------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `selectableRows` | <p>It gets or sets the function to define the selectable rows.</p><p></p><p><strong>Type</strong>: <mark style="color:green;"><code>SelectableFn\<T></code></mark>.</p> |

## Methods

| Method                 | Description                                                                                                                                                                                                                                                             |
| ---------------------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `selectOne()`          | <p>It marks the given row as selected.</p><p></p><p><strong>Params</strong>: </p><ol><li>row: <mark style="color:green;"><code>DkGridDataRowEntry\<T></code></mark>.</li></ol><p><strong>Return</strong>: <mark style="color:green;"><code>void</code></mark>.</p>      |
| `select()`             | <p>It marks the given rows as selected.</p><p></p><p><strong>Params</strong>: </p><ol><li>rows: <mark style="color:green;"><code>DkGridDataRowEntry\<T>\[]</code></mark>.</li></ol><p><strong>Return</strong>: <mark style="color:green;"><code>void</code></mark>.</p> |
| `deselectOne()`        | <p>It unchecks the given row as selected.</p><p></p><p><strong>Params</strong>: </p><ol><li>row: <mark style="color:green;"><code>DkGridDataRowEntry\<T></code></mark>.</li></ol><p><strong>Return</strong>: <mark style="color:green;"><code>void</code></mark>.</p>   |
| `deselect()`           | <p>It unchecks the given rows as selected.</p><p></p><p><strong>Params</strong>: </p><ol><li>rows: <mark style="color:green;"><code>DkGridDataRowEntry\<T>\[]</code></mark>.</li></ol><p><strong>Return</strong>: void.</p>                                             |
| `getSelectedRows()`    | <p>It returns all the selected rows.</p><p></p><p><strong>Params</strong>: None.</p><p><strong>Return</strong>: <mark style="color:green;"><code>DkGridDataRowEntry\<T>\[]</code></mark>.</p>                                                                           |
| `getSelectedEntries()` | <p>It returns all the selected entries without the <mark style="color:green;"><code>DkGridDataRowEntry</code></mark> wrapper.</p><p></p><p><strong>Params</strong>: None.</p><p><strong>Return</strong>: <mark style="color:green;"><code>T\[]</code></mark>.</p>       |
| `selectAll()`          | <p>It marks all the selectable rows coming from the data source.</p><p></p><p><strong>Params</strong>: None.</p><p><strong>Return</strong>: <mark style="color:green;"><code>void</code></mark>.</p>                                                                    |
| `deselectAll()`        | <p>It unchecks all the selected rows.</p><p></p><p><strong>Params</strong>: None.</p><p><strong>Return</strong>: <mark style="color:green;"><code>void</code></mark>.</p>                                                                                               |

## Events

| Event                 | Description                                                                                                                                                                                              |
| --------------------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `selectedRowChange`   | <p>It emits the selected row.</p><p></p><p><strong>Params</strong>: None.</p><p><strong>Return</strong>: <mark style="color:green;"><code>Observable\<DkGridDataRowEntry\<T>></code></mark>.</p>         |
| `deselectedRowChange` | <p>It emits the deselected row.</p><p></p><p><strong>Params</strong>: None.</p><p><strong>Return</strong>: <mark style="color:green;"><code>Observable\<DkGridDataRowEntry\<T>></code></mark>.</p>       |
| `selectionChange`     | <p>It emits all the selected rows.</p><p></p><p><strong>Params</strong>: None.</p><p><strong>Return</strong>: <mark style="color:green;"><code>Observable\<DkGridDataRowEntry\<T>\[]></code></mark>.</p> |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.dikesoft.com/reference/dkgrid-api/dkgridselection.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
